---
search:
  tags:
    - settings
    - GET
seo:
  description: >-
    Get the metrics retention and the metrics mirroring. Reference for the GET
    /api/v1/settings/monitoring endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Get monitoring settings
  badge: GET
title: Get monitoring settings
type: openapi-operation
---
Get the metrics retention and the metrics mirroring.

`GET /api/v1/settings/monitoring`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "mirror_enabled": true,
  "mirror_token_created_at": "2019-08-24T14:15:22Z",
  "mirror_token_set": true,
  "retention_days": 0,
  "retention_days_max": 0,
  "retention_days_min": 0,
  "storage_bytes": 0
}
```
